Package org.apache.commons.net.nntp

# Class NewsgroupInfo

java.lang.Object
org.apache.commons.net.nntp.NewsgroupInfo

public final class NewsgroupInfo extends Object
NewsgroupInfo stores information pertaining to a newsgroup returned by the NNTP GROUP, LIST, and NEWGROUPS commands, implemented by `selectNewsgroup` , `listNewsgroups` , and `listNewNewsgroups` respectively.

See Also:
  - `NNTPClient`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MODERATED_POSTING_PERMISSION`
  A constant indicating that a newsgroup is moderated.
  `static final int`
  `PERMITTED_POSTING_PERMISSION`
  A constant indicating that a newsgroup is public and unmoderated.
  `static final int`
  `PROHIBITED_POSTING_PERMISSION`
  A constant indicating that a newsgroup is closed for general posting.
  `static final int`
  `UNKNOWN_POSTING_PERMISSION`
  A constant indicating that the posting permission of a newsgroup is unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsgroupInfo()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getArticleCount()`
  Deprecated.
  `long`
  `getArticleCountLong()`
  Gets the estimated number of articles in the newsgroup.
  `int`
  `getFirstArticle()`
  Deprecated.
  `long`
  `getFirstArticleLong()`
  Gets the number of the first article in the newsgroup.
  `int`
  `getLastArticle()`
  Deprecated.
  `long`
  `getLastArticleLong()`
  Gets the number of the last article in the newsgroup.
  `String`
  `getNewsgroup()`
  Gets the newsgroup name.
  `int`
  `getPostingPermission()`
  Gets the posting permission of the newsgroup.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN_POSTING_PERMISSION

    public static final int UNKNOWN_POSTING_PERMISSION
    A constant indicating that the posting permission of a newsgroup is unknown. For example, the NNTP GROUP command does not return posting information, so NewsgroupInfo instances obtained from that command will have an UNKNOWN_POSTING_PERMISSION.
    See Also:
      - Constant Field Values

  - ### MODERATED_POSTING_PERMISSION

    public static final int MODERATED_POSTING_PERMISSION
    A constant indicating that a newsgroup is moderated.
    See Also:
      - Constant Field Values

  - ### PERMITTED_POSTING_PERMISSION

    public static final int PERMITTED_POSTING_PERMISSION
    A constant indicating that a newsgroup is public and unmoderated.
    See Also:
      - Constant Field Values

  - ### PROHIBITED_POSTING_PERMISSION

    public static final int PROHIBITED_POSTING_PERMISSION
    A constant indicating that a newsgroup is closed for general posting.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NewsgroupInfo

    public NewsgroupInfo()
    Constructs a new instance.

- ## Method Details

  - ### getArticleCount

    @Deprecated public int getArticleCount()
    Deprecated.
    Gets the estimated number of articles in the newsgroup. The accuracy of this value will depend on the server implementation.
    Returns:
      The estimated number of articles in the newsgroup.

  - ### getArticleCountLong

    public long getArticleCountLong()
    Gets the estimated number of articles in the newsgroup. The accuracy of this value will depend on the server implementation.
    Returns:
      The estimated number of articles in the newsgroup.

  - ### getFirstArticle

    @Deprecated public int getFirstArticle()
    Deprecated.
    Gets the number of the first article in the newsgroup.
    Returns:
      The number of the first article in the newsgroup.

  - ### getFirstArticleLong

    public long getFirstArticleLong()
    Gets the number of the first article in the newsgroup.
    Returns:
      The number of the first article in the newsgroup.

  - ### getLastArticle

    @Deprecated public int getLastArticle()
    Deprecated.
    Gets the number of the last article in the newsgroup.
    Returns:
      The number of the last article in the newsgroup.

  - ### getLastArticleLong

    public long getLastArticleLong()
    Gets the number of the last article in the newsgroup.
    Returns:
      The number of the last article in the newsgroup.

  - ### getNewsgroup

    public String getNewsgroup()
    Gets the newsgroup name.
    Returns:
      The name of the newsgroup.

  - ### getPostingPermission

    public int getPostingPermission()
    Gets the posting permission of the newsgroup. This will be one of the `POSTING_PERMISSION` constants.
    Returns:
      The posting permission status of the newsgroup.